dane_verify_crt_raw(3)

NAME
dane_verify_crt_raw - API function

SYNOPSIS
#include <gnutls/dane.h>

int dane_verify_crt_raw(dane_state_t s, const gnutls_datum_t * chain, unsigned chain_size, gnutls_certificate_type_t chain_type, dane_query_t r, unsigned int sflags, unsigned int vflags, unsigned int * verify);

ARGUMENTS

dane_state_t s
    A DANE state structure (may be NULL)

const gnutls_datum_t * chain
    A certificate chain

unsigned chain_size
    The size of the chain

gnutls_certificate_type_t chain_type
    The type of the certificate chain

dane_query_t r
    DANE data to check against

unsigned int sflags
    Flags for the initialization of s (if NULL)

unsigned int vflags
    Verification flags; an OR'ed list of dane_verify_flags_t.

unsigned int * verify
    An OR'ed list of dane_verify_status_t.

DESCRIPTION
This is the low-level function of dane_verify_crt(). See the high level function for documentation. This function does not perform any resolving, it utilizes cached entries from r .

RETURNS
a negative error code on error and DANE_E_SUCCESS (0) when the DANE entries were successfully parsed, irrespective of whether they were verified (see verify for that information). If no usable entries were encountered DANE_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/